Bug 1474419 - CVE-2017-11503 php-PHPMailer: phpmailer: XSS in code_generator.php [epel-all]
CVE-2017-11503 php-PHPMailer: phpmailer: XSS in code_generator.php [epel-all]
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: php-PHPMailer (Show other bugs)
epel7
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-11503
  Show dependency treegraph
 
Reported: 2017-07-24 10:49 EDT by Pedro Sampaio
Modified: 2017-08-11 10:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-24 10:49:46 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
Comment 1 Pedro Sampaio 2017-07-24 10:49:51 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1474416

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Xavier Bachelot 2017-08-11 08:32:59 EDT
Hi Remi,

Could you please take care of the EPEL branches ?

Also, as this is the second time I bother you with an update for this package, maybe you'd like an helping hand with it ? In this case, feel free to add me (xavierb) on the EL branches. Not sure how it works yet now that pkgdb is gone, though.

Regards,
Xavier
Comment 3 Remi Collet 2017-08-11 09:08:58 EDT
Done (sorry, back from Holidays):

https://bodhi.fedoraproject.org/updates/php-PHPMailer-5.2.24-1.el6
https://bodhi.fedoraproject.org/updates/php-PHPMailer-5.2.24-1.el7

BTW, with pagure there is no more "per-branch" perm.

BUT old package still have their old perm.

So we force gitolite perm refresh,
and thus you should now have commit right on all branches ;
Comment 4 Xavier Bachelot 2017-08-11 10:08:48 EDT
(In reply to Remi Collet from comment #3)
> Done (sorry, back from Holidays):
> 
No worries, we all need vacations and then we all need co-maintainers to cover our back :-)

> and thus you should now have commit right on all branches ;

Thank you.

Note You need to log in before you can comment on or make changes to this bug.